package com.tofly.base.config;

import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.springframework.context.annotation.Bean;

/**
 * @author Administrator
 * @date 2019/9/4  15:58
 */
//@Configuration
public class MybatisPlusConfigurer {

    /**
     * 分页插件
     *
     */
    @Bean
    public PaginationInterceptor paginationInterceptor() {
        return new PaginationInterceptor();
    }

   /* *//**
     * oracle 配置自增
     * @return
     *//*
    @Bean
    public OracleKeyGenerator oracleKeyGenerator(){
        return new OracleKeyGenerator();
    }*/
}
